<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Request;
class UserRegistration extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request)
    {
         $userId = $request->session()->get("id");
        return [
              'fullname'=>'required|min:2|regex:/^[\pL\s\-]+$/u',
              'telephone'=>'required|unique:users,telephone,'.$userId,
              'email'   => 'required|regex:/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/ix|email|unique:users,email,'.$userId,
              'gender'=>'required',
              'height'=>'required|numeric',
              'weight'=>'required|numeric',
              'allergy'=>'required|regex:/^[\w]+([-_\s]{1}[a-z0-9]+)*$/i',
              'blood_group'=>'required',
              'current_address'=>'required',
              //'in_charge_doctor'=>'required',
              'family'=>'regex:/^[\w]+([-_\s]{1}[a-z0-9]+)*$/i',
              'dmp'=>'regex:/^[\w]+([-_\s]{1}[a-z0-9]+)*$/i',
              'medical_history'=>'regex:/^[\w]+([-_\s]{1}[a-z0-9]+)*$/i',
              "image" => "mimes:jpeg,jpg,png,gif"
          ];

          /*'fullname' => 'required|min:2|regex:/^[\pL\s\-]+$/u',
            'email'=> 'required|email|regex:/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/ix|unique:users',
            'telephone'=> 'required|digits_between:7,15|numeric|unique:users',
            "gender" => "required",*/
    }
}
