<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted' => 'The :attribute must be accepted.',
    'active_url' => 'The :attribute is not a valid URL.',
    'after' => 'The :attribute must be a date after :date.',
    'after_or_equal' => 'The :attribute must be a date after or equal to :date.',
    'alpha' => 'The :attribute may only contain letters.',
    'alpha_dash' => 'The :attribute may only contain letters, numbers, dashes and underscores.',
    'alpha_num' => 'The :attribute may only contain letters and numbers.',
    'array' => 'The :attribute must be an array.',
    'before' => 'The :attribute must be a date before :date.',
    'before_or_equal' => 'The :attribute must be a date before or equal to :date.',
    'between' => [
        'numeric' => 'The :attribute must be between :min and :max.',
        'file' => 'The :attribute must be between :min and :max kilobytes.',
        'string' => 'The :attribute must be between :min and :max characters.',
        'array' => 'The :attribute must have between :min and :max items.',
    ],
    'boolean' => 'The :attribute field must be true or false.',
    'confirmed' => 'The :attribute confirmation does not match.',
    'date' => 'The :attribute is not a valid date.',
    'date_equals' => 'The :attribute must be a date equal to :date.',
    'date_format' => 'The :attribute does not match the format :format.',
    'different' => 'The :attribute and :other must be different.',
    'digits' => 'The :attribute must be :digits digits.',
    'digits_between' => 'The :attribute must be between :min and :max digits.',
    'dimensions' => 'The :attribute has invalid image dimensions.',
    'distinct' => 'The :attribute field has a duplicate value.',
    'email' => 'The :attribute must be a valid email address.',
    'email_not_valid' =>'The selected email is invalid.',
    'ends_with' => 'The :attribute must end with one of the following: :values',
    'exists' => 'The selected :attribute is invalid.',
    'file' => 'The :attribute must be a file.',
    'filled' => 'The :attribute field must have a value.',
    'gt' => [
        'numeric' => 'The :attribute must be greater than :value.',
        'file' => 'The :attribute must be greater than :value kilobytes.',
        'string' => 'The :attribute must be greater than :value characters.',
        'array' => 'The :attribute must have more than :value items.',
    ],
    'gte' => [
        'numeric' => 'The :attribute must be greater than or equal :value.',
        'file' => 'The :attribute must be greater than or equal :value kilobytes.',
        'string' => 'The :attribute must be greater than or equal :value characters.',
        'array' => 'The :attribute must have :value items or more.',
    ],
    'image' => 'The :attribute must be an image.',
    'in' => 'The selected :attribute is invalid.',
    'in_array' => 'The :attribute field does not exist in :other.',
    'integer' => 'The :attribute must be an integer.',
    'ip' => 'The :attribute must be a valid IP address.',
    'ipv4' => 'The :attribute must be a valid IPv4 address.',
    'ipv6' => 'The :attribute must be a valid IPv6 address.',
    'json' => 'The :attribute must be a valid JSON string.',
    'lt' => [
        'numeric' => 'The :attribute must be less than :value.',
        'file' => 'The :attribute must be less than :value kilobytes.',
        'string' => 'The :attribute must be less than :value characters.',
        'array' => 'The :attribute must have less than :value items.',
    ],
    'lte' => [
        'numeric' => 'The :attribute must be less than or equal :value.',
        'file' => 'The :attribute must be less than or equal :value kilobytes.',
        'string' => 'The :attribute must be less than or equal :value characters.',
        'array' => 'The :attribute must not have more than :value items.',
    ],
    'max' => [
        'numeric' => 'La :attribute ne peut pas être supérieur à :max.',
        'file' => 'La :attribute ne peut pas être supérieur à :max kilobytes.',
        'string' => 'La :attribute ne peut pas être supérieur à :max personnages.',
        'array' => 'La :attribute peut ne pas avoir plus de :max articles.',
    ],
    'mimes' => 'The :attribute must be a file of type: :values.',
    'mimetypes' => 'The :attribute must be a file of type: :values.',
    'min' => [
        'numeric' => 'La :attribute doit être au moins :min.',
        'file' => 'La :attribute doit être au moins :min kilobytes.',
        'string' => 'La :attribute doit être au moins :min personnages.',
        'array' => 'La :attribute doit avoir au moins :min articles.',
    ],
    'not_in' => 'The selected :attribute is invalid.',
    'not_regex' => 'The :attribute format is invalid.',
    'numeric' => 'La :attribute doit être un nombre.',
    'password' => 'The password is incorrect.',
    'present' => 'The :attribute field must be present.',
    'regex' => 'The :attribute format is invalid.',
    'required' => 'La :attribute Champ requis.',
    'required_if' => 'The :attribute field is required when :other is :value.',
    'required_unless' => 'The :attribute field is required unless :other is in :values.',
    'required_with' => 'The :attribute field is required when :values is present.',
    'required_with_all' => 'The :attribute field is required when :values are present.',
    'required_without' => 'The :attribute field is required when :values is not present.',
    'required_without_all' => 'The :attribute field is required when none of :values are present.',
    'same' => 'The :attribute and :other must match.',
    'size' => [
        'numeric' => 'The :attribute must be :size.',
        'file' => 'The :attribute must be :size kilobytes.',
        'string' => 'The :attribute must be :size characters.',
        'array' => 'The :attribute must contain :size items.',
    ],
    'starts_with' => 'The :attribute must start with one of the following: :values',
    'string' => 'The :attribute must be a string.',
    'timezone' => 'The :attribute must be a valid zone.',
    'unique' => 'La :attribute a déjà été pris.',
    'uploaded' => 'The :attribute failed to upload.',
    'url' => 'The :attribute format is invalid.',
    'uuid' => 'The :attribute must be a valid UUID.',
    'url' => 'The :attribute format is invalid.',
    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap our attribute placeholder
    | with something more reader friendly such as "E-Mail Address" instead
    | of "email". This simply helps us make our message more expressive.
    |
    */

    'attributes' => [
            'name'=>'Name',
            'email'=>'Email',
            'address'=>'adresse',
            'password'=>'mot de passe',
            'contact'=>'Contact Number',
            'otp'=>'OTP',
            'image'=>'Image',
            'current_pass'=>'Current Password',
            'new_pass'=>'New Password',
            'confirm_pass'=>'Confirm Password',
            'username'=>"Nom d'utilisateur",
            'userName'=>"Nom d'utilisateur",
            'provider_profit'=>'Provider profit',
            'min_fare'=>'Minimum fare',
            'base_price_distance'=>'Distance for Base Price',
            'base_price'=>'Base Price',
            'cancel_fee'=>'Cancellation Fee',
            'tax'=>'Tax',
            'distance_price'=>'Distance Price',
            'weight_unit'=>'Weight Unit',
            'weight_price'=>'Per Weight Price',
            'fullname'=>'Nom complet',
            'mobile'=>'Mobile',
            'deviceToken'=>'DeviceToken',
            'user_id'=>"Identifiant d'utilisateur",
            'otpNumber'=>"Nombre d'otp",
            'bank_name'=>"Nom de banque",
            'iban_code'=>"Le code IBAN",
            'latitude'=>"latitude",
            'longitude'=>"longitude",
            'lat'=>"latitude",
            'long'=>"longitude",
            'driverId'=>"Identifiant du conducteur",
            'order_id'=>"Numéro de commande",
            'sender_id'=>"Identifiant de l'expéditeur",
            'message_by'=>"Message de",
            'message'=>"Message",
            'experience_year'=>"Année d'expérience",
            "Vehicle id"=>"Identifiant du véhicule",
            "Marque" => "Marque",
            "Model" => "Modèle",
            "Year" => "Année",
            "Numberplate" => "Plaque d'immatriculation",
            "Color" => "Couleur",
            "id" => "identifiant",
            "id_proof" => "preuve d'identité",
            "driving_license" => "permis de conduire",
            "insurance" => "Assurance",
            "rc_card" => "carte d'enregistrement",
            "career_license" => "licence de carrière",
            "old_id_proof" => "vieille preuve d'identité",
            "old_driving_license" => "vieille permis de conduire",
            "old_insurance" => "vieille Assurance",
            "old_rc_card" => "vieille carte d'enregistrement",
            "old_career_license" => "vieille licence de carrière",
            "order_delivery_detail_id" => "ID de détail de livraison de la commande",
            "signature" => "signature",
            "profile_status" => "statut du profil",
            "rating" => "évaluation",
            "mobileNumber" => "numéro de portable",
            "mobileNumber_verified" => "numéro de téléphone vérifié",
            "ordr_dlvr_det_id" => "ID de détail de livraison de la commande",
            "Contact Number" => "Numéro de contact",
            "Distance Price" => "Prix de distance",
            "weight_unit" => "unité de poids",
            "weight_price" => "prix du poids",
            "max_weight" => "poids maximum",
            "distance_price" => "prix à distance",
            "provider_profit" => "profit du fournisseur",
            "base_price_distance" => "distance de prix de base",
            "base_price" => "prix de base",
            "cancel_fee" => "frais d'annulation",
            "tax" => "impôt",
            "provider_min_profit" => 'Prestataire minimum Profit',
            'user_type' => 'Type d\'utilisateur',
            'current_lat' => 'Latitude actuelle',
            'current_long' => 'Longitude actuelle',
            'cpassword' => 'Confirmer le mot de passe',
    ],

];
